org.icefaces.ace.component.tree

## Enum TreeBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<TreeBase.PropertyKeys>
  - - org.icefaces.ace.component.tree.TreeBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TreeBase.PropertyKeys>
  Enclosing class:
    TreeBase

      protected static enum TreeBase.PropertyKeys
      extends java.lang.Enum<TreeBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `expansion`
    `expansionMode`
    `keyConverter`
    `reordering`
    `selection`
    `selectionMode`
    `selectMultiple`
    `stateCreationCallback`
    `stateMap`
    `stateVar`
    `type`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static TreeBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TreeBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### expansion

          public static final TreeBase.PropertyKeys expansion

    - #### expansionMode

          public static final TreeBase.PropertyKeys expansionMode

    - #### keyConverter

          public static final TreeBase.PropertyKeys keyConverter

    - #### reordering

          public static final TreeBase.PropertyKeys reordering

    - #### selectMultiple

          public static final TreeBase.PropertyKeys selectMultiple

    - #### selection

          public static final TreeBase.PropertyKeys selection

    - #### selectionMode

          public static final TreeBase.PropertyKeys selectionMode

    - #### stateCreationCallback

          public static final TreeBase.PropertyKeys stateCreationCallback

    - #### stateMap

          public static final TreeBase.PropertyKeys stateMap

    - #### stateVar

          public static final TreeBase.PropertyKeys stateVar

    - #### type

          public static final TreeBase.PropertyKeys type

  - ### Method Detail

    - #### values

          public static TreeBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TreeBase.PropertyKeys c : TreeBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TreeBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<TreeBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.